com.taosdata.jdbc.ws

## Class ResponseFuture

- java.lang.Object
- - com.taosdata.jdbc.ws.ResponseFuture

    public class ResponseFuture
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ResponseFuture(String id, CompletableFuture<Response> future)`

### Method Summary

All Methods Instance Methods Concrete Methods
`CompletableFuture<Response>` `getFuture()`
`String` `getId()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResponseFuture

    public ResponseFuture(String id,
                          CompletableFuture<Response> future)

### Method Detail

#### getId

    public String getId()

#### getFuture

    public CompletableFuture<Response> getFuture()